ECIStringBuilder (ZXing 3.5.0 API)

com.google.zxing.common

## Class ECIStringBuilder

- java.lang.Object
- - com.google.zxing.common.ECIStringBuilder

-     public final class ECIStringBuilder
      extends Object

  Class that converts a sequence of ECIs and bytes into a string
  Author:
    Alex Geller

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ECIStringBuilder()`
    `ECIStringBuilder(int initialCapacity)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `append(byte value)` Appends `value` as a byte value (not its string representation)
    `void` | `append(char value)` Appends `value` as a byte value
    `void` | `append(int value)` Append the string repesentation of `value` (short for `append(String.valueOf(value))`)
    `void` | `append(String value)` Appends the characters in `value` as bytes values
    `void` | `appendCharacters(StringBuilder value)` Appends the characters from `value` (unlike all other append methods of this class who append bytes)
    `void` | `appendECI(int value)`
    `boolean` | `isEmpty()`
    `int` | `length()` Short for `toString().length()` (if possible, use `isEmpty()` instead)
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ECIStringBuilder

          public ECIStringBuilder()

    - #### ECIStringBuilder

          public ECIStringBuilder(int initialCapacity)

  - ### Method Detail

    - #### append

          public void append(char value)

      Appends `value` as a byte value

    - #### append

          public void append(byte value)

      Appends `value` as a byte value (not its string representation)

    - #### append

          public void append(String value)

      Appends the characters in `value` as bytes values

    - #### append

          public void append(int value)

      Append the string repesentation of `value` (short for `append(String.valueOf(value))`)

    - #### appendECI

          public void appendECI(int value)
                         throws FormatException

      Throws:
        `FormatException`

    - #### appendCharacters

          public void appendCharacters(StringBuilder value)

      Appends the characters from `value` (unlike all other append methods of this class who append bytes)

    - #### length

          public int length()

      Short for `toString().length()` (if possible, use `isEmpty()` instead)

    - #### isEmpty

          public boolean isEmpty()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2007–2022. All rights reserved.